package capitulo07.bloque01;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.Properties;

public class LeerFicheroPropiedades {
    public static void main(String[] args) {
        Properties propiedades = new Properties();
        try {
         File archivo = new File("./src/capitulo07/bloque01/ficheroPropiedades.properties");
         propiedades.load(new FileReader(archivo, StandardCharsets.UTF_8));
        } catch (FileNotFoundException e) {
            System.out.println("No se ha encontrado el fichero");
        } catch (IOException e) {
            System.out.println("Error al leer el fichero");
        }

        System.out.println(Charset.availableCharsets());
        System.out.println( "Nombre: " + propiedades.getProperty("NOMBRE"));
        System.out.println( "Apellidos: " + propiedades.getProperty("APELLIDOS"));
        System.out.println( "Edad: " + Integer.valueOf(propiedades.getProperty("EDAD")));
        System.out.println( "Altura: " + Float.valueOf(propiedades.getProperty("ALTURA")));
        System.out.println( "Soltero: " + Boolean.valueOf(propiedades.getProperty("SOLTERO")));

    }
}
